org.vishia.gral.cfg

## Class GralCfgData.GuiCfgWidget

- java.lang.Object
- - org.vishia.gral.cfg.GralCfgData.GuiCfgWidget

- All Implemented Interfaces:
    java.lang.Cloneable
  Direct Known Subclasses:
    GralCfgData.GuiCfgButton, GralCfgData.GuiCfgCurveLine, GralCfgData.GuiCfgCurveview, GralCfgData.GuiCfgImage, GralCfgData.GuiCfgInputFile, GralCfgData.GuiCfgLed, GralCfgData.GuiCfgLine, GralCfgData.GuiCfgShowField, GralCfgData.GuiCfgTable, GralCfgData.GuiCfgText, GralCfgData.GuiCfgType
  Enclosing class:
    GralCfgData

      public static class GralCfgData.GuiCfgWidget
      extends java.lang.Object
      implements java.lang.Cloneable

  This is the base class of all configuration data for one widget. It contains common elements. It is used as destination for the parser of the configuration file.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `cmd` From ZBNF-parser param::=
    `GralCfgData.GuiCfgColor` | `color0`
    `GralCfgData.GuiCfgColor` | `color1`
    `java.lang.String` | `data` From ZBNF-parser param::=
    `java.lang.String` | `dragFiles` From ZBNF-parser param::=
    `java.lang.String` | `dragText` From ZBNF-parser param::=
    `java.lang.String` | `dropFiles` From ZBNF-parser param::=
    `java.lang.String` | `dropText` From ZBNF-parser param::=
    `boolean` | `editable`
    `java.lang.String` | `format` From ZBNF-parser param::=
    `java.lang.String` | `help` From ZBNF-parser param::=
    `private GralCfgElement` | `itsElement` Backward aggregation to the config element queue, to the item.
    `java.lang.String` | `mouseAction` From ZBNF-parser param::=
    `java.lang.String` | `name` From ZBNF-parser param::=
    `java.lang.String` | `prompt` From ZBNF-parser param::=
    `java.lang.String` | `promptPosition` From ZBNF-parser param::=
    `java.lang.String` | `showMethod` From ZBNF-parser param::=
    `java.lang.String` | `text` From ZBNF-parser param::=
    `java.lang.String` | `type` From ZBNF-parser param::=
    `java.lang.String` | `userAction` From ZBNF-parser param::=
    `(package private) char` | `whatIs` See `GralWidget.whatIs`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiCfgWidget(GralCfgElement itsElement, char whatIs)` From ZBNF-parser param::=

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected GralCfgData.GuiCfgWidget` | `clone()`
    `GralCfgData.GuiCfgColor` | `new_color0()`
    `GralCfgData.GuiCfgColor` | `new_color1()`
    `GralCfgData.GuiCfgColor` | `new_colorName()`
    `void` | `set_color0(GralCfgData.GuiCfgColor value)`
    `void` | `set_color1(GralCfgData.GuiCfgColor value)`
    `void` | `set_colorName(GralCfgData.GuiCfgColor value)`
    `void` | `set_data(java.lang.String val)`
    `void` | `set_help(java.lang.String sHelp)`
    `void` | `setFromType(GralCfgData.GuiCfgWidget src)` Sets all fields which are not determined by this instance from any other instance, especially from a type instance.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### itsElement

          private final GralCfgElement itsElement

      Backward aggregation to the config element queue, to the item.

    - #### whatIs

          final char whatIs

      See `GralWidget.whatIs`.

    - #### editable

          public boolean editable

    - #### name

          public java.lang.String name

      From ZBNF-parser param::= ...name = <""?name> etc. values are set if it is parsed.

    - #### text

          public java.lang.String text

      From ZBNF-parser param::= ...name = <""?name> etc. values are set if it is parsed.

    - #### cmd

          public java.lang.String cmd

      From ZBNF-parser param::= ...name = <""?name> etc. values are set if it is parsed.

    - #### userAction

          public java.lang.String userAction

      From ZBNF-parser param::= ...name = <""?name> etc. values are set if it is parsed.

    - #### mouseAction

          public java.lang.String mouseAction

      From ZBNF-parser param::= ...name = <""?name> etc. values are set if it is parsed.

    - #### data

          public java.lang.String data

      From ZBNF-parser param::= ...name = <""?name> etc. values are set if it is parsed.

    - #### showMethod

          public java.lang.String showMethod

      From ZBNF-parser param::= ...name = <""?name> etc. values are set if it is parsed.

    - #### format

          public java.lang.String format

      From ZBNF-parser param::= ...name = <""?name> etc. values are set if it is parsed.

    - #### type

          public java.lang.String type

      From ZBNF-parser param::= ...name = <""?name> etc. values are set if it is parsed.

    - #### prompt

          public java.lang.String prompt

      From ZBNF-parser param::= ...name = <""?name> etc. values are set if it is parsed.

    - #### promptPosition

          public java.lang.String promptPosition

      From ZBNF-parser param::= ...name = <""?name> etc. values are set if it is parsed.

    - #### help

          public java.lang.String help

      From ZBNF-parser param::= ...name = <""?name> etc. values are set if it is parsed.

    - #### dragFiles

          public java.lang.String dragFiles

      From ZBNF-parser param::= ...dropFiles = <""?name> etc. values are set if it is parsed.

    - #### dropFiles

          public java.lang.String dropFiles

      From ZBNF-parser param::= ...dropFiles = <""?name> etc. values are set if it is parsed.

    - #### dragText

          public java.lang.String dragText

      From ZBNF-parser param::= ...dropFiles = <""?name> etc. values are set if it is parsed.

    - #### dropText

          public java.lang.String dropText

      From ZBNF-parser param::= ...dropFiles = <""?name> etc. values are set if it is parsed.

    - #### color0

          public GralCfgData.GuiCfgColor color0

    - #### color1

          public GralCfgData.GuiCfgColor color1

  - ### Constructor Detail

    - #### GuiCfgWidget

          public GuiCfgWidget(GralCfgElement itsElement,
                              char whatIs)

      From ZBNF-parser param::= ... etc. boolean values are set if is parsed.

  - ### Method Detail

    - #### set_data

          public void set_data(java.lang.String val)

    - #### set_help

          public void set_help(java.lang.String sHelp)

    - #### new_colorName

          public GralCfgData.GuiCfgColor new_colorName()

    - #### set_colorName

          public void set_colorName(GralCfgData.GuiCfgColor value)

    - #### new_color0

          public GralCfgData.GuiCfgColor new_color0()

    - #### set_color0

          public void set_color0(GralCfgData.GuiCfgColor value)

    - #### new_color1

          public GralCfgData.GuiCfgColor new_color1()

    - #### set_color1

          public void set_color1(GralCfgData.GuiCfgColor value)

    - #### clone

          protected GralCfgData.GuiCfgWidget clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### setFromType

          public void setFromType(GralCfgData.GuiCfgWidget src)

      Sets all fields which are not determined by this instance from any other instance, especially from a type instance.
      Parameters:
        `src` - source for all values which are not determined in this yet.